<div id="">

  <div class="pt-0 pb-2 px-2" *ngIf="loading">
    <div class="mx-auto text-center">
      <em class="fa fa-spinner fa-spin fa-2x"></em>
    </div>
  </div>

  <div class="p-0" *ngIf="!loading">

    <!-- <div class="row">
      <div class="text-right col">
        <div class="close-button">
          <img height="40" class="rounded-circle" (click)="closePopup(false)" src="https://img.icons8.com/color/48/000000/close-window.png"/>
        </div>
      </div>
    </div> -->

    <div class="row">
      <div class="col-4">
        <!-- <button type="submit" class="btn btn-primary btn-sm" [title]="'ACCOUNT_DETAILS.WATCHLIST.VALID'|translate" (click)="onSubmit()">
          <span>{{'ACCOUNT_DETAILS.WATCHLIST.VALID'|translate}}</span>
        </button> -->
      </div>

      <div class="col-4 font-weight-bold text-center h5">
        <span class="text-success" *ngIf="data?.watchlistStatusList?.length===0">
          {{'ACCOUNT_DETAILS.WATCHLIST.RESULT_NR'|translate}}
        </span>
        <span class="text-danger" *ngIf="data?.watchlistStatusList?.length>=1">
          {{'ACCOUNT_DETAILS.WATCHLIST.RESULT_R'|translate}}
        </span>
      </div>
    </div>



     
        <div class="mt-3">

          <!-- <div class="card-header d-flex justify-content-between">

            <h5 class="card-title mb-0">{{'ACCOUNT_DETAILS.WATCHLIST.TITLE'|translate}}</h5>

            <app-card-toolbar [collapseTarget]="'account-list-body'" [options]="['DownloadAsExcel', 'DownloadAsPDF']"
                              (action)="onActionToolbar($event)"></app-card-toolbar>

          </div> -->



        <div class="ibox-title p-2">
          <div class="ibox-title-child" style="display: inline-block">
              {{'ACCOUNT_DETAILS.WATCHLIST.TITLE'|translate}}</div>
          <button mat-mini-fab class="menu-add   " aria-label="Example icon-button with a menu" (click)="onSubmit()">
              <mat-icon matTooltip="refrech" class="menu-add-icon menu-add-user"><i class="ri-refresh-line"></i></mat-icon>
          </button>
      </div>

          <div class="">
            <app-data-table [settings]="settings" [items]="data?.watchlistStatusList" [enableSearch]="false"
                            [enableFilterColumn]="false"></app-data-table>
          </div>

        </div>
      

   

  </div>

</div>
